Index: MPEGaudio.h
===================================================================
RCS file: /cvs/cvsroot/smpeg/MPEGaudio.h,v
retrieving revision 1.23
diff -u -p -r1.23 MPEGaudio.h
--- smpeg/MPEGaudio.h	17 Jul 2001 19:52:24 -0000	1.23
+++ smpeg/MPEGaudio.h	6 Dec 2005 06:10:43 -0000
@@ -151,12 +151,6 @@ private:
 /* The actual MPEG audio class */
 class MPEGaudio : public MPEGerror, public MPEGaudioaction {
 
-    friend void Play_MPEGaudioSDL(void *udata, Uint8 *stream, int len);
-    friend int Play_MPEGaudio(MPEGaudio *audio, Uint8 *stream, int len);
-#ifdef THREADED_AUDIO
-    friend int Decode_MPEGaudio(void *udata);
-#endif
-
 public:
     MPEGaudio(MPEGstream *stream, bool initSDL = true);
     virtual ~MPEGaudio();
@@ -367,6 +361,20 @@ public:
 #define N_TIMESTAMPS 5
 
   double timestamp[N_TIMESTAMPS];
+
+  /* Functions which access MPEGaudio internals */
+  friend void Play_MPEGaudioSDL(void *udata, Uint8 *stream, int len);
+  friend int Play_MPEGaudio(MPEGaudio *audio, Uint8 *stream, int len);
+#ifdef THREADED_AUDIO
+  friend int Decode_MPEGaudio(void *udata);
+#endif
 };
 
+/* Need to duplicate the prototypes, this is not a typo :) */
+void Play_MPEGaudioSDL(void *udata, Uint8 *stream, int len);
+int Play_MPEGaudio(MPEGaudio *audio, Uint8 *stream, int len);
+#ifdef THREADED_AUDIO
+int Decode_MPEGaudio(void *udata);
+#endif
+
 #endif /* _MPEGAUDIO_H_ */
